net.sf.okapi.common.skeleton

## Class GenericSkeletonPart

- java.lang.Object
- - net.sf.okapi.common.skeleton.GenericSkeletonPart

-     public class GenericSkeletonPart
      extends java.lang.Object

  Part of `GenericSkeleton` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericSkeletonPart()`
    `GenericSkeletonPart(char data)`
    `GenericSkeletonPart(char data, IResource parent, LocaleId locId)`
    `GenericSkeletonPart(java.lang.String data)`
    `GenericSkeletonPart(java.lang.String data, IResource parent, LocaleId locId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(java.lang.String data)`
    `java.lang.StringBuilder` | `getData()`
    `LocaleId` | `getLocale()`
    `IResource` | `getParent()`
    `void` | `setData(java.lang.String data)`
    `void` | `setLocale(LocaleId locId)`
    `void` | `setParent(IResource newParent)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericSkeletonPart

          public GenericSkeletonPart()

    - #### GenericSkeletonPart

          public GenericSkeletonPart(java.lang.String data)

    - #### GenericSkeletonPart

          public GenericSkeletonPart(char data)

    - #### GenericSkeletonPart

          public GenericSkeletonPart(java.lang.String data,
                                     IResource parent,
                                     LocaleId locId)

    - #### GenericSkeletonPart

          public GenericSkeletonPart(char data,
                                     IResource parent,
                                     LocaleId locId)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### append

          public void append(java.lang.String data)

    - #### getLocale

          public LocaleId getLocale()

    - #### setLocale

          public void setLocale(LocaleId locId)

    - #### getParent

          public IResource getParent()

    - #### setParent

          public void setParent(IResource newParent)

    - #### getData

          public java.lang.StringBuilder getData()

    - #### setData

          public void setData(java.lang.String data)